<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Inspection StructType
 * @subpackage Structs
 */
class Get_Inspection extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The InspectionSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\InspectionSelection
     */
    public $InspectionSelection;
    /**
     * Constructor method for Get_Inspection
     * @uses Get_Inspection::setLogin()
     * @uses Get_Inspection::setInspectionSelection()
     * @param \StructType\Login $login
     * @param \StructType\InspectionSelection $inspectionSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\InspectionSelection $inspectionSelection = null)
    {
        $this
            ->setLogin($login)
            ->setInspectionSelection($inspectionSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Inspection
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get InspectionSelection value
     * @return \StructType\InspectionSelection|null
     */
    public function getInspectionSelection()
    {
        return $this->InspectionSelection;
    }
    /**
     * Set InspectionSelection value
     * @param \StructType\InspectionSelection $inspectionSelection
     * @return \StructType\Get_Inspection
     */
    public function setInspectionSelection(\StructType\InspectionSelection $inspectionSelection = null)
    {
        $this->InspectionSelection = $inspectionSelection;
        return $this;
    }
}
